package events

import (
	"git.quimbo.fr/odwrtw/canape/backend/models"
	"git.quimbo.fr/odwrtw/canape/backend/web"
)

// VideoEventer represents the Eventer for tests
type VideoEventer struct {
	*BaseEventer
}

var videoEventName = "newVideo"

// NewVideoEventers implements the Eventer interface
func NewVideoEventers(env *web.Env) *PolochonEventers {
	eventer := NewEventers(env)
	eventer.NewEventer = NewVideoEventer
	eventer.Name = videoEventName
	return eventer
}

// NewVideoEventer returns a new Eventer
func NewVideoEventer(env *web.Env, polo *models.Polochon) (Eventer, error) {
	return &VideoEventer{
		BaseEventer: &BaseEventer{
			env:   env,
			users: []*Channel{},
			name:  videoEventName,
		},
	}, nil
}

// Launch implements the Eventer interface
func (e *VideoEventer) Launch() error {
	return nil
}

// Finish implements the Eventer interface
func (e *VideoEventer) Finish() {
}
