import React from "react";
import { useDispatch, useSelector } from "react-redux";

import { searchMovieSubtitles } from "../../actions/subtitles";

import { SubtitlesButton } from "../buttons/subtitles";

export const MovieSubtitlesButton = () => {
  const dispatch = useDispatch();

  const imdbId = useSelector((state) => state.movies.selectedImdbId);
  const inLibrary = useSelector(
    (state) => state.movies.movies.get(imdbId).polochon_url !== ""
  );
  const subtitles = useSelector(
    (state) => state.movies.movies.get(imdbId).subtitles
  );
  const searching = useSelector(
    (state) => state.movies.movies.get(imdbId).fetchingSubtitles
  );

  return (
    <SubtitlesButton
      inLibrary={inLibrary}
      searching={searching}
      subtitles={subtitles}
      search={() => dispatch(searchMovieSubtitles(imdbId))}
    />
  );
};
