import React from "react";
import PropTypes from "prop-types";
import { useDispatch } from "react-redux";

import { prettyEpisodeNameWithoutShow } from "../../../utils";
import { removeTorrent } from "../../../actions/torrents";

import { Progress } from "./progress";

export const Torrent = ({ torrent }) => {
  const dispatch = useDispatch();

  const title = (torrent) => {
    if (torrent.type !== "episode" || !torrent.video) {
      return "";
    }

    return (
      prettyEpisodeNameWithoutShow(
        torrent.video.season,
        torrent.video.episode
      ) + " - "
    );
  };

  return (
    <div className="border-top">
      <div className="card-text d-flex flex-row">
        <div className="mt-1 flex-fill">
          <span className="text text-break">{title(torrent)}</span>
          <small className="text-muted text-break">{torrent.status.name}</small>
        </div>
        <div
          className="fa fa-trash btn text-right"
          onClick={() => dispatch(removeTorrent(torrent.status.id))}
        />
      </div>
      <Progress torrent={torrent} />
    </div>
  );
};
Torrent.propTypes = {
  torrent: PropTypes.object.isRequired,
};
